E-MailRelay

Classes | Namespaces
gnewprocess.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "genvironment.h"`
`#include "gexecutablecommand.h"`
`#include "gidentity.h"`
`#include "gprocess.h"`
`#include "gpath.h"`
`#include "gstrings.h"`
`#include <memory>`
`#include <new>`
`#include <string>`
`#include <future>`

Go to the source code of this file.

## Classes
class | G::NewProcess
| A class for creating new processes. More...
struct | G::NewProcess::Fd
| Wraps up a file descriptor for passing to G::NewProcess. More...
class | G::NewProcessWaitable
| Holds the parameters and future results of a waitpid() system call, as performed by the wait() method. More...
struct | G::NewProcessConfig
| Provides syntactic sugar for the G::NewProcess constructor. More...

## Namespaces
namespace | G
| Low-level classes.